<?php

namespace Drupal\media_migration\Plugin\migrate\source\d7;

/**
 * Provides common source DB queries for image media migrations.
 */
trait MediaFieldQueryTrait {

  /**
   * Get the names of the image type fields from the source database.
   *
   * @return array
   *   The array of the available image fields.
   */
  protected function getImageFieldNames() {
    $image_field_names_query = $this->getDatabase()->select('field_config', 'fs')
      ->fields('fs', ['field_name'])
      ->condition('fs.type', 'image')
      ->condition('fs.active', 1)
      ->condition('fs.deleted', 0)
      ->condition('fs.storage_active', 1)
      ->condition('fi.deleted', 0);
    $field_instance_alias = $image_field_names_query->join('field_config_instance', 'fi', 'fs.id = fi.field_id');
    $image_field_names_query
      ->fields($field_instance_alias, ['field_name'])
      ->condition("$field_instance_alias.deleted", 0);

    return array_keys($image_field_names_query->execute()->fetchAllAssoc('field_name'));
  }

}
