<?php

namespace Drupal\Tests\media_migration\Functional;

/**
 * Tests migration from a source without enabled media module to media.
 *
 * @group media_migration
 *
 * @group legacy
 */
class MigrateMediaFromNonMediaSourceTest extends MigrateMediaTestBase {

  /**
   * {@inheritdoc}
   */
  protected function getFixtureFilePath() {
    return drupal_get_path('module', 'media_migration') . '/tests/fixtures/drupal7_nomedia.php';
  }

  /**
   * {@inheritdoc}
   */
  protected function getExpectedEntities() {
    return [];
  }

  /**
   * Tests the result of the media migration.
   */
  public function testImageAndFileFieldsTransformationToMediaReference() {
    $this->assertMigrateUpgradeViaUi(FALSE);
    $this->assertMediaMigrationResults();

    // Check configurations.
    $this->assertMediaFieldsAllowedTypes('node', 'article', 'field_image', ['image']);
    $this->assertMediaFieldsAllowedTypes('node', 'article', 'field_image_multi', ['image']);
    $this->assertMediaFieldsAllowedTypes('node', 'article', 'field_file', [
      'audio',
      'document',
      'image',
      'remote_video',
      'video',
    ]);
    $this->assertMediaFieldsAllowedTypes('node', 'article', 'field_file_multi', [
      'audio',
      'document',
      'image',
      'remote_video',
      'video',
    ]);
  }

}
